
Redmine - Defect #2786

Can not view some issues as pdf

2009-02-19 11:18 - Brad Schick

Status: Closed Start date: 2009-02-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.8.2   

Resolution: Fixed Affected version:  

Description

I am running 0.8.1 on Ubuntu 8.04 and some issues can no longer be displayed as pdfs. I'm not sure why some issues can be

converted to pdf and not others. Clicking the link results in a 500 server error response. Here is the exception from the production.log

Processing IssuesController#index (for xxx.xxx.xxx.xxx at 2009-02-18 09:10:30) [GET]

Session ID: xxxxxxxxxxxxxxxxxxxxxxxxxx

Parameters: {"project_id"=>"xxxxxxxx", "set_filter"=>"1", "action"=>"index", "controller"=>"issues"}

"production.log" 3099 lines, 235291 characters

/lib/redmine/export/pdf.rb:271:in `issue_to_pdf'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/associations/association_collection.rb:277:in `method_missing'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/associations/association_proxy.rb:171:in `method_missing'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/associations/association_proxy.rb:171:in `each'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/associations/association_proxy.rb:171:in `send'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/associations/association_proxy.rb:171:in `method_missing'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/associations/association_collection.rb:277:in `method_missing'

/lib/redmine/export/pdf.rb:268:in `issue_to_pdf'

/app/controllers/issues_controller.rb:108:in `show'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/mime_responds.rb:131:in `call'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/mime_responds.rb:131:in `custom'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/mime_responds.rb:160:in `call'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/mime_responds.rb:160:in `respond'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/mime_responds.rb:154:in `each'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/mime_responds.rb:154:in `respond'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/mime_responds.rb:107:in `respond_to'

/app/controllers/issues_controller.rb:105:in `show'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:1166:in `send'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:1166:in `perform_action_without_filters'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:579:in `call_filters'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:572:in `perform_action_without_benchmark'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/rescue.rb:201:in `perform_action_without_caching'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/caching/sql_cache.rb:13:in `perform_action'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in `cache'

/var/lib/gems/1.8/gems/activerecord-2.1.2/lib/active_record/query_cache.rb:8:in `cache'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/caching/sql_cache.rb:12:in `perform_action'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:529:in `send'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:529:in `process_without_filters'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:568:in `process_without_session_management_support'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/session_management.rb:130:in `process'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:389:in `process'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:149:in `handle_request'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:107:in `dispatch'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:104:in `synchronize'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:104:in `dispatch'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:120:in `dispatch_cgi'

/var/lib/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:35:in `dispatch'

/var/lib/gems/1.8/gems/thin-1.0.0/lib/rack/adapter/rails.rb:54:in `serve_rails'

/var/lib/gems/1.8/gems/thin-1.0.0/lib/rack/adapter/rails.rb:74:in `call'

/var/lib/gems/1.8/gems/thin-1.0.0/lib/thin/connection.rb:63:in `pre_process'

/var/lib/gems/1.8/gems/thin-1.0.0/lib/thin/connection.rb:54:in `process'
/var/lib/gems/1.8/gems/thin-1.0.0/lib/thin/connection.rb:39:in `receive_data'

/var/lib/gems/1.8/gems/eventmachine-0.12.2/lib/eventmachine.rb:231:in `run_machine'

/var/lib/gems/1.8/gems/eventmachine-0.12.2/lib/eventmachine.rb:231:in `run'

/var/lib/gems/1.8/gems/thin-1.0.0/lib/thin/backends/base.rb:57:in `start'

/var/lib/gems/1.8/gems/thin-1.0.0/lib/thin/server.rb:150:in `start'

/var/lib/gems/1.8/gems/thin-1.0.0/lib/thin/controllers/controller.rb:80:in `start'

/var/lib/gems/1.8/gems/thin-1.0.0/lib/thin/runner.rb:173:in `send'

/var/lib/gems/1.8/gems/thin-1.0.0/lib/thin/runner.rb:173:in `run_command'

/var/lib/gems/1.8/gems/thin-1.0.0/lib/thin/runner.rb:139:in `run!'

/var/lib/gems/1.8/gems/thin-1.0.0/bin/thin:6

/usr/bin/thin:16:in `load'

/usr/bin/thin:16

Rendering /var/www/redmine/public/500.html (500 Internal Server Error)

History

#1 - 2009-02-19 19:39 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8.2

- Resolution set to Fixed

Was fixed in r2226 but forgot to merge it into 0.8 branch.

#2 - 2009-02-20 06:33 - Brad Schick

Is there a patch that can be applied to 0.8.1 stable?

#3 - 2009-02-21 20:09 - Jean-Philippe Lang

Actually, it was fixed in r2262, not r2226.

The patch is pretty simple, you can find it here:

http://www.redmine.org/repositories/diff/redmine/trunk/lib/redmine/export/pdf.rb?rev=2262

#4 - 2009-02-21 20:29 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8 branch in r2513.
